Bug 185460 - tar fails to extract large sparse archive member
Summary: tar fails to extract large sparse archive member
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tar   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-14 22:16 UTC by Ed Swierk
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 13:45:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fix the first problem with gnu format. (1.16 KB, patch)
2006-03-21 13:32 UTC, Peter Vrabec
no flags Details | Diff
patch extracted from upstream CVS (9.92 KB, patch)
2006-03-22 13:00 UTC, Peter Vrabec
no flags Details | Diff

Description Ed Swierk 2006-03-14 22:16:59 UTC
Description of problem:

Extracting a large sparse file by name from a gnu format tar archive fails. 
With posix format, both extracting and listing fails.

Version-Release number of selected component (if applicable):

1.15.1-11.FC4

How reproducible:

Always

Steps to Reproduce:

On a filesystem that supports sparse files (e.g. ext3), run the following:

$ dd of=sparsefile seek=4096 bs=1M count=0

$ tar -c --sparse --format=gnu -f sparsefile.gtar sparsefile

$ tar -x -f sparsefile.gtar -O sparsefile | cat >/dev/null
tar: sparsefile: Cannot seek to 4294967296: Invalid argument
tar: Error exit delayed from previous errors

$ tar -c --sparse --format=posix -f sparsefile.ptar sparsefile

$ tar -t -v -f sparsefile.ptar
-rw-rw-r-- eswierk/eswierk 4294967296 2006-03-14 13:22:30 sparsefile
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

$ tar -x -f sparsefile.ptar -O sparsefile | cat >/dev/null
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

If you repeat the above procedure with a smaller sparse file (1 MB instead of
4096 MB), all the tar operations succeed.

Comment 1 Peter Vrabec 2006-03-21 13:32:29 UTC
Created attachment 126393 [details]
patch fix the first problem with gnu format.

Comment 2 Peter Vrabec 2006-03-22 13:00:09 UTC
Created attachment 126470 [details]
patch extracted from upstream CVS


Note You need to log in before you can comment on or make changes to this bug.